org.apache.commons.configuration2.interpol

## Class ExprLookup.Variables

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<ExprLookup.Variable>
      - - org.apache.commons.configuration2.interpol.ExprLookup.Variables

- All Implemented Interfaces:
    Serializable, Cloneable, Iterable<ExprLookup.Variable>, Collection<ExprLookup.Variable>, List<ExprLookup.Variable>, RandomAccess
  Enclosing class:
    ExprLookup

      public static class ExprLookup.Variables
      extends ArrayList<ExprLookup.Variable>

  List wrapper used to allow the Variables list to be created as beans in DefaultConfigurationBuilder.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Variables()` Creates a new empty instance of `Variables`.
    `Variables(ExprLookup.Variables vars)` Creates a new instance of `Variables` and copies the content of the given object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExprLookup.Variable` | `getVariable()`

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Constructor Detail

    - #### Variables

          public Variables()

      Creates a new empty instance of `Variables`.

    - #### Variables

          public Variables(ExprLookup.Variables vars)

      Creates a new instance of `Variables` and copies the content of the given object.
      Parameters:
        `vars` - the `Variables` object to be copied

  - ### Method Detail

    - #### getVariable

          public ExprLookup.Variable getVariable()

Copyright © 2001–2015 The Apache Software Foundation. All rights reserved.